version: "3"

volumes:
   db-data:

services:
  db:
    image: postgres:15
    restart: unless-stopped
    volumes:
      - ./initdb.d:/docker-entrypoint-initdb.d
      - db-data:/var/lib/postgresql/data
    command:
      - "--max_prepared_transactions=100"
    ports:
       - 5432
#      - "127.0.0.1:5432:5432"
    environment:
      - POSTGRES_PASSWORD=supersecretpassword
      - TZ="Europe/Moscow"
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U postgres"]
      interval: 10s
      retries: 5
      start_period: 30s
      timeout: 10s

  webbpm-app:
    build:
      context: .
      dockerfile: Dockerfile.TC
    depends_on:
      db:
        condition: service_healthy
    ports:
      - 9990
      - 8080
      - 8787
      - 12345
    environment:
      - TZ="Europe/Moscow"
    env_file:
      - db.env
